#!/bin/sh

UBUNTU_REPO_URL=https://qvidium.tv/qvidium-ubuntu-repo

KEY_RING=/usr/share/keyrings/qvidium-keyring.gpg
[ -f $KEY_RING ] && mv $KEY_RING $KEY_RING.old
curl -sL $UBUNTU_REPO_URL/key/deb.gpg.key | gpg --dearmor -o $KEY_RING

echo "Software key updated." > /dev/console
mv $0 $0.update-key.sh
sync
